<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hssx.pcbms.mapper.DepartmentMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hssx.pcbms.entity.Department">
        <result column="department_guid" property="departmentGuid" />
        <result column="superior_guid" property="superiorGuid" />
        <result column="department_name" property="departmentName" />
        <result column="department_fullname" property="departmentFullname" />
        <result column="department_desc" property="departmentDesc" />
        <result column="department_address" property="departmentAddress" />
        <result column="department_phone" property="departmentPhone" />
        <result column="showorder" property="showorder" />
        <result column="department_isdeleted" property="departmentIsdeleted" />
        <result column="department_xingzhi" property="departmentXingzhi" />
        <result column="department_deptcode" property="departmentDeptcode" />
        <result column="department_keycode" property="departmentKeycode" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        department_guid, superior_guid, department_name, department_fullname, department_desc, department_address, department_phone, showorder, department_isdeleted, department_xingzhi, department_deptcode, department_keycode
    </sql>

</mapper>
